#!/bin/sh
die () {
  echo "summarize-restore.sh: error: $*" 1>&2
  exit 1
}
if [ $# = 0 ]
then
  echo "backend;count;bounds;clean;tainted;restored;weakened;restore;total"
  exit 0
fi
[ -d "$1" ] || die "expected directory as argument"
count="`ls $1/*.log|wc -l`"
[ $count -gt 0 ] || die "no log files found in '$1'"
bounds="`awk 'BEGIN{s=0}/] [\+\*] /{s++}END{print s}' $1/*.log`"
clean="`awk 'BEGIN{s=0}/] \* /{s++}END{print s}' $1/*.log`"
tainted="`awk 'BEGIN{s=0}/] \+ /{s++}END{print s}' $1/*.log`"
restored="`awk 'BEGIN{s=0}/restored:/{s+=$3}END{print s}' $1/*.log`"
weakened="`awk 'BEGIN{s=0}/weakened:/{s+=$3}END{print s}' $1/*.log`"
restore="`awk 'BEGIN{s=0}/restore$/{s+=$2}END{print s}' $1/*.log`"
total="`awk 'BEGIN{s=0}/time:/{s+=$3}END{print s}' $1/*.err`"
echo "$1;$count;$bounds;$clean;$tainted;$restored;$weakened;$restore;$total"
