#!/bin/sh
die () {
  echo "sync-cluster-logs.sh: error: $*" 1>&2
  exit 1
}
[ $# = 1 ] || die "expected exactly one argument"
[ -d $1 ] || die "argument '$1' is not a directory"
logdir=$1
syncdir () {
  src=$logdir/$1
  dst=$1
  [ -d $src ] || die "could not find directory '$src'"
  [ -d $dst ] || mkdir $dst || die "failed to 'mkdir $dst'"
  echo "rsync -a $src/ $dst/" 
  rsync -a $src/ $dst/ || die "'rsync -a $src $dst' failed"
}
syncdir assume0-incremental0 cadical-non-incremental
syncdir cryptominisat cryptominisat
syncdir freeze cadical-freeze
syncdir glucose glucose
syncdir incremental0 cadical-non-incremental-assume-good-earlier
syncdir restore cadical-restore-tainted-clauses
syncdir restoreall cadical-restore-all-clauses
syncdir riss riss
syncdir simplify0 cadical-no-inprocessing

